# Create a Supervisor Agent

Launch stage: Beta

`POST /api/2.1/supervisor-agents`

Creates a new Supervisor Agent.

API scopes: supervisor-agents

## Request body

The Supervisor Agent to create.
- `name` (string, optional, ID, Immutable)
  The resource name of the SupervisorAgent.
   Format: supervisor-agents/{supervisor_agent_id}
- `display_name` (string, required)
  The display name of the Supervisor Agent, unique at workspace level.
- `description` (string, optional)
  Description of what this agent can do (user-facing).
- `instructions` (string, optional)
  Optional natural-language instructions for the supervisor agent.

## Returns

Returns the SupervisorAgent object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "description": "string",
  "instructions": "string",
  "id": "string",
  "supervisor_agent_id": "string",
  "creator": "string",
  "create_time": "string",
  "endpoint_name": "string",
  "experiment_id": "string"
}
```

